# TexCoordGenerator (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.geom
Interface TexCoordGenerator

All Known Implementing Classes:
  LinearGradientFill, RadialGradientFill

    public interface TexCoordGenerator

A class capable of generating texture coordiantes based on rendering positions of verticies. This allows custom texturing of geometric shapes

Author:
  kevin

Method Summary
`Vector2f` `getCoordFor(float x, float y)` Get the texture coordinate for a given render position

Method Detail

### getCoordFor

    Vector2f getCoordFor(float x,
                         float y)

  Get the texture coordinate for a given render position

  Parameters:
    `x` - The x coordinate of the vertex being rendered
    `y` - The y coordinate of the vertex being rendered
  Returns:
    The texture coordinate to apply

Copyright © 2006 New Dawn Software. All Rights Reserved.